/**
 * Copyright 2023 actions-toolkit authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare class Inputs {
    static getBuildImageIDFilePath(): string;
    static getBuildMetadataFilePath(): string;
    static resolveBuildImageID(): string | undefined;
    static resolveBuildMetadata(): string | undefined;
    static resolveDigest(): string | undefined;
    static resolveBuildSecretString(kvp: string): string;
    static resolveBuildSecretFile(kvp: string): string;
    static resolveBuildSecretEnv(kvp: string): string;
    static resolveBuildSecret(kvp: string, file: boolean): string;
    static getProvenanceInput(name: string): string;
    static resolveProvenanceAttrs(input: string): string;
    static hasLocalExporter(exporters: string[]): boolean;
    static hasTarExporter(exporters: string[]): boolean;
    static hasDockerExporter(exporters: string[], load?: boolean): boolean;
    static hasExporterType(name: string, exporters: string[]): boolean;
    static hasGitAuthTokenSecret(secrets: string[]): boolean;
}
